
//Stacked chart
var options = {
    chart: {
        type: 'bar',
        height: 330,
        width: '100%',
        stacked: true,
        toolbar: {
            show: true
        }
    },
    plotOptions: {
        bar: {
            horizontal: false,
            borderRadius: 10,
            
        }
    },
    dataLabels: {
                enabled: true,
                formatter: function(value, index, values) {
                    value = value.toString();
                    value = value.split(/(?=(?:...)*$)/);
                    value = value.join(',');
                    return value;
                },
                style: {
                        fontSize: "12px",
                        colors: ['#fff']
                    },
                dropShadow: {
                    enabled: true,
                    top: 1,
                    left: 1,
                    blur: 0,
                    color: '#000',
                    opacity: 0.45
                }
            },
    legend: {
        show: true,
        position: "top",
        horizontalAlign: "center",
        verticalAlign: "middle",
        floating: !1,
        fontSize: "12px",
        offsetX: 0
    },
    colors: ['#033F63', '#7A9B76'],
    series: [{
        name: "Male",
        data: maleData,
    }, {
        name: "Female",
        data: femaleData,
    }],
    xaxis: {
        categories: labels,
        labels: {
            show: true,
            style: {
            colors: 'blue',
            fontSize: '12px'
            },
        }
    },
    yaxis:{
        labels: {
         style: {
                fontSize: "12px",
            },
        formatter: function(value, index, values) {
         value = value.toString();
         value = value.split(/(?=(?:...)*$)/);
         value = value.join(',');
         return value;
      }
    }

    }

};

var chart = new ApexCharts(document.querySelector("#bar_chart"), options);
chart.render();


// Donut 2 chart
var options = {
    chart: {
        height: 320,
        type: "donut",
        toolbar: {
            show: true
        }
    },
    plotOptions: {
        pie: {
            donut: {
            size: '55%'
            },
            labels:{
                show: true,
                total: {
                    showAlways: true,
                    show: true
                },
            }
            }
        },
    series: [totalmaleData, totalfemaleData],
    labels: ["Male", "Female"],
    colors: ['#033F63', '#7A9B76'],
    legend: {
        show: !0,
        position: "top",
        horizontalAlign: "center",
        verticalAlign: "middle",
        floating: !1,
        fontSize: "12px",
        offsetX: 0
    },
    responsive: [{
        breakpoint: 600,
        options: {
            chart: {
                height: 240
            },
            legend: {
                show: !1
            }
        }
    }]
};
var chart = new ApexCharts(document.querySelector("#donut_chart2"), options);
chart.render();
